.configurator-container .configurator-grid .configurator-grid-item:hover {
    cursor: pointer;
    z-index: 11;
    transition: all .1s ease-in-out;
    transform: scale(110%);
}

.cart-button {
    position: fixed;
    max-width: 180px;
    bottom: 40px;
    right: 64px;
    z-index: 15;
}

.cart-button-item-is-in-cart {
    background-color: #33aa33;
}

.cart {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100dvh;
    display: flex;
    flex-direction: column;
    padding: 48px;
    box-sizing: border-box;
    background-color: white;
}

.cart a {
    color: black;
}

.cart > .cart-header {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

.cart > .cart-header > .cart-header-title {
    flex: 1;
    font-family: "stolzl", sans-serif;
    font-size: 24px;
    font-weight: bold;
}

.cart > .cart-header > .text {
    flex: 1;
}

.cart > .cart-content {
    display: grid;
    grid-template-columns: auto auto auto;
    align-content: start;
    align-items: center;
    gap: 32px 16px;
    margin: 32px 0;
    flex: 1;
    min-height: 0;
    overflow-y: auto;
}

.cart > .cart-content > .cart-item {
    grid-column: span 3;
    display: grid;
    grid-template-columns: subgrid;
}

.cart > .cart-content > .cart-item > img {
    width: 128px;
    height: 64px;
    object-fit: contain;
}

.cart > .cart-content > .cart-item > .cart-item-title {
    display: flex;
    align-items: center;
    word-break: break-word;
}

.cart > .cart-content > .cart-item > .cart-item-amount-control {
    display: flex;
    align-items: center;
    margin-right: 16px;
}

.cart > .cart-content > .cart-item > .cart-item-amount-control > img {
    width: 20px;
    height: 20px;
}

.cart > .cart-content > .cart-item > .cart-item-amount-control > .cart-item-amount {
    padding: 2px;
    margin: 0 12px;
    min-width: 48px;
    font-weight: bold;
    text-align: center;
    border-radius: 4px;
    border: 1px solid #eee;
}

.cart > .cart-footer {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 32px;
    font-size: 14px;
    line-height: 20px;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    padding-top: 20px;
}

.cart > .cart-footer > .cart-footer-text {
    color: #868686;
}

.cart > .cart-footer > a.submit-button {
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: center;
    height: 48px;
    padding: 0 24px;
    border-radius: 24px;
    color: white;
    background-color: #e94e1b;
    text-decoration: none;
}

.cart > .cart-footer > .cart-footer-form {
    grid-column: span 2;
    display: flex;
    flex-direction: column;
    font-size: 16px;
    gap: 10px
}

.cart > .cart-footer > .cart-footer-form .fields-container {
    margin-top: 0;
}

.cart > .cart-footer > .cart-footer-form > .cart-footer-form-control-group {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-content: start;
    align-items: center;
}

.cart > .cart-footer > .cart-footer-form > .cart-footer-form-control-group > input[type=text],
.cart > .cart-footer > .cart-footer-form > .cart-footer-form-control-group > input[type=email] {
    font-size: 16px;
    padding: 5px;
    border-radius: 4px;
    border: 1px solid #eee;
}

.cart > .cart-footer > .cart-footer-form > .cart-footer-form-control-group > input[type=submit] {
    min-height: 40px;
}

@media screen and (max-width: 992px) {
    .configurator-container .configurator-grid .configurator-grid-item:hover {
        transition: none;
        transform: none;
    }

    .cart-button {
        right: 48px;
    }

    .cart {
        width: 100%;
    }

    .cart > .cart-content {
        margin: 16px 0;
    }
}

@media screen and (max-width: 600px) {
    .cart-button {
        right: 32px;
    }

    .cart {
        padding: 24px;
    }

    .cart > .cart-content {
        grid-template-columns: auto auto;
    }

    .cart > .cart-content > .cart-item {
        grid-column: span 2;
        gap: 24px 12px;
    }

    .cart > .cart-content > .cart-item > img {
        grid-row: span 2;
    }

    .cart > .cart-content > .cart-item > .cart-item-amount-control {
        margin-right: 24px;
    }

    .cart > .cart-content > .cart-item > .cart-item-amount-control > img {
        width: 16px;
        height: 16px;
    }

    .cart > .cart-content > .cart-item > .cart-item-amount-control > .cart-item-amount {
        margin: 0 8px;
        min-width: 32px;
    }

    .cart > .cart-footer {
        font-size: 12px;
        grid-template-columns: auto;
        gap: 16px;
    }

    .cart > .cart-footer > .cart-footer-text {
        display: flex;
        flex-direction: column;
    }

    .cart > .cart-footer > a.submit-button {
        height: 32px;
        padding: 0 16px;
        border-radius: 16px;
    }

    .cart > .cart-footer > .cart-footer-form > .cart-footer-form-control-group {
        grid-template-columns: 1fr;
    }
}

/*
@media screen and (max-width: 400px) {
    .close-cart-button {
        font-size: 0.8rem;
        margin-left: 5px;
        flex: 1;
        color: black;
    }

    .cart > .cart-content {
        grid-template-columns: 1fr auto;
    }

    .cart > .cart-content > .cart-item {
        grid-column: span 2;
    }

    .cart > .cart-content > .cart-item > img {
        display: none;
    }
}
*/